Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.genericinsurability.core.v1
Class PaymentType

    java.lang.Object
      be.fgov.ehealth.genericinsurability.core.v1.PaymentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:01:01+01:00",
               comments="JAXB RI v2.2.11")
    public class PaymentType

extends Object
implements Serializable

Java class for PaymentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PaymentByIo" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="MaxInvoiced" type="{http://www.w3.org/2001/XMLSchema}gYear" maxOccurs="3" minOccurs="0"/>
             <element name="SpecialSocialCategory" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PaymentType()`

Method Summary
`List<XMLGregorianCalendar>` | `getMaxInvoiceds()` Gets the value of the maxInvoiceds property.
`boolean` | `isPaymentByIo()` Gets the value of the paymentByIo property.
`Boolean` | `isSpecialSocialCategory()` Gets the value of the specialSocialCategory property.
`void` | `setPaymentByIo(boolean value)` Sets the value of the paymentByIo property.
`void` | `setSpecialSocialCategory(Boolean value)` Sets the value of the specialSocialCategory property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaymentType

    public PaymentType()

Method Detail

### isPaymentByIo

    public boolean isPaymentByIo()

  Gets the value of the paymentByIo property.

### setPaymentByIo

    public void setPaymentByIo(boolean value)

  Sets the value of the paymentByIo property.

### getMaxInvoiceds

    public List<XMLGregorianCalendar> getMaxInvoiceds()

  Gets the value of the maxInvoiceds property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the maxInvoiceds property.

  For example, to add a new item, do as follows:

          getMaxInvoiceds().add(newItem);

  Objects of the following type(s) are allowed in the list `XMLGregorianCalendar`

### isSpecialSocialCategory

    public Boolean isSpecialSocialCategory()

  Gets the value of the specialSocialCategory property.

  Returns:
    possible object is `Boolean`

### setSpecialSocialCategory

    public void setSpecialSocialCategory(Boolean value)

  Sets the value of the specialSocialCategory property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.